@import "../../../assets/styles/variables";
@import "../../../assets/styles/mixins";
@import "../../../assets/styles/animations";

.loading-carousel {
    min-height : 470px;
    & .title-unload {
        height : 45px;
        @include border-top-radius(5px);
    }
    & .content-unload {
        height : 400px;
        @include spin-loading-icon(fa-spinner);
    }
}

.carousel-title {
    height : 45px;
    @include border-top-radius(5px);
    @include media-breakpoint-down(ph) {
        font-size : 0.7rem;
    }
}

.item-content {
    & .box-size {
        display : block !important;
        @include media-breakpoint-down(md) {
            width : 150px !important;
        }
    }
    & .time-box {
        position      : absolute;
        top           : 253px;
        right         : 20px;
        min-width     : 50px;
        border-radius : 5px;
        opacity       : 0.9;
        direction     : ltr;
        font-size     : 0.9rem;
        @include media-breakpoint-only(lg) {
            top : 183px;
        }
    }
    &.type-movies {
        height   : 370px;
        overflow : hidden;
        & .item {
            & img {
                height        : 270px;
                border-radius : 5px;
                width         : 100%;
                @include transition-hover();
                @include media-breakpoint-only(lg) {
                    height : 200px;
                }
            }
            & .fa-play {
                position : absolute;
                top      : 130px;
                left     : 105px;
                opacity  : 0;
                @include transition-hover();
            }
            & .item-caption {
                height        : 60px;
                border-radius : 5px;
                font-size     : 0.8rem;
                & .view-count {
                    font-size : 0.7rem;
                }
                @include transition-hover();
            }
            //@include hover-for-carousel-item(item-caption);
        }
        @include media-breakpoint-only(lg) {
            height : 300px;
        }
        @include media-breakpoint-down(md) {
            @include horizontally-scroll-for-carousel(col-12);
            padding : 0 !important;
            height  : 380px;
        }
    }
    &.type-channels {
        height   : 450px;
        overflow : hidden;
        @include media-breakpoint-only(lg) {
            height : 410px;
        }
        @include media-breakpoint-down(md) {
            height        : 220px;
            padding-right : 0 !important;
        }
        @include media-breakpoint-up(xl) {
            height : 470px;
        }
        & .channel-box {
            & .icon-box {
                height : 150px;
                width  : 150px;
                & img {
                    width : 100px;
                }
                @include border-top-radius(5px);
                @include media-breakpoint-down(lg) {
                    width  : 130px;
                    height : 130px;
                }
                @include media-breakpoint-up(xl) {
                    height : 160px;
                }
            }
            & .bg-tw-crimson {
                width : 150px;
                @include border-bottom-radius(5px);
                @include media-breakpoint-down(lg) {
                    width : 130px;
                }
            }
        }
        @include media-breakpoint-down(md) {
            @include horizontally-scroll-for-carousel(col-12);
        }
    }
    &.type-episodes {
        height   : 454px;
        overflow : hidden;
        @include media-breakpoint-only(lg) {
            height : 364px;
        }
        @include media-min-max-width(1200px, 1390px) {
            height : 364px;
        }
        @include media-min-max-width(1390px, 1600px) {
            height : 414px;
        }
        & .bold-pic {
            & img {
                height : 303px;
                width  : 100%;
                @include border-radius(5px);
                @include transition-hover();
                @include media-breakpoint-only(lg) {
                    height : 220px;
                }
                @include media-min-max-width(1200px, 1390px) {
                    height : 220px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    height : 273px;
                }
            }
            & .fa-play {
                position : absolute;
                top      : 120px;
                left     : 280px;
                opacity  : 0;
                @include transition-hover();
            }
            & .time-box {
                top : 268px;
                @include media-min-max-width(992px, 1390px) {
                    top : 186px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    top : 238px;
                }
            }
            & .description-episode {
                background : $tw-dark3;
                height     : 111px;
                & span {
                    font-size : 16px;
                    &.des-info {
                        font-size : 14px;
                    }
                }
                @include transition-hover();
                @include border-radius(5px);
                @include media-breakpoint-only(lg) {
                    height : 105px;
                }
                @include media-min-max-width(1200px, 1390px) {
                    height : 105px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    height : 102px;
                }
            }
            //@include hover-for-carousel-item(description-episode);
        }
        & .other-pic {
            & img {
                height : 135px;
                width  : 240px;
                @include border-radius(5px);
                @include transition-hover();
                @include media-breakpoint-only(lg) {
                    height : 90px;
                    width  : 160px;
                }
                @include media-min-max-width(1200px, 1390px) {
                    height : 90px;
                    width  : 160px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    height : 115px;
                    width  : 205px;
                }
            }
            & .fa-play {
                position : absolute;
                left     : 130px;
                top      : 40px;
                opacity  : 0;
                @include transition-hover();
            }
            & .time-box {
                top   : 102px;
                right : 5px;
                @include media-min-max-width(992px, 1390px) {
                    top   : 58px;
                    right : 4px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    top   : 83px;
                    right : 3px;
                }
            }
            & .description-episode {
                background : $tw-dark3;
                height     : 60px;
                max-width  : 240px;
                & span {
                    font-size : 10px;
                }
                @include border-radius(5px);
                @include transition-hover();
                @include media-breakpoint-only(lg) {
                    max-width : 160px;
                }
                @include media-min-max-width(1200px, 1390px) {
                    max-width : 160px;
                }
                @include media-min-max-width(1390px, 1600px) {
                    max-width : 205px;
                }
            }
            & .other-episodes > div:first-child {
                @include media-breakpoint-up(lg) {
                    display : none;
                }
            }
            & .other-episodes .item {
                //@include hover-for-carousel-item(description-episode);
            }
        }
        @include media-breakpoint-down(lg) {
            @include horizontally-scroll-for-carousel(other-pic);
        }
    }
    &.type-suggestion {
        height   : 474px;
        overflow : hidden;
        & .suggestion {
            width    : 230px;
            position : relative;
            & img {
                height : 130px;
                width  : 100%;
                @include transition-hover();
                @include border-radius(5px);
                @include media-breakpoint-only(lg) {
                    height : 120px;
                }
            }
            & .fa-play {
                position : absolute;
                top      : 40px;
                left     : 100px;
                opacity  : 0;
                @include transition-hover();
            }
            & .time-box {
                top   : 98px;
                right : 3px;
                @include media-breakpoint-only(lg) {
                    top : 88px;
                }
            }
            & .info {
                height    : 75px;
                font-size : 10px;
                @include transition-hover();
                @include border-radius(5px);
            }
            //@include hover-for-carousel-item(info);
            @include media-breakpoint-only(lg) {
                width : 210px;
            }
            @include media-breakpoint-down(md) {
                margin-left : 20px;
            }
        }
        @include media-breakpoint-only(lg) {
            height : 454px;
        }
        @include media-breakpoint-down(lg) {
            @include horizontally-scroll-for-carousel(scroll-suggestion);
        }
    }
    & .type-hourly-archive {
        height     : 404px;
        overflow-y : hidden;
        & .hourly-archive {
            width    : 230px;
            position : relative;
            & img {
                height : 130px;
                @include transition-hover();
                @include border-radius(5px);
                @include media-breakpoint-only(lg) {
                    height : 120px;
                }
            }
            & .fa-play {
                position : absolute;
                top      : 40px;
                left     : 100px;
                opacity  : 0;
                @include transition-hover();
            }
            & .time-box {
                top   : 98px;
                right : 3px;
                @include media-breakpoint-only(lg) {
                    top : 88px;
                }
            }
            & .info {
                height    : 40px;
                font-size : 16px;
                @include transition-hover();
                @include border-radius(5px);
            }
            //@include hover-for-carousel-item(info);
            @include media-breakpoint-only(lg) {
                width : 210px;
            }
            @include media-breakpoint-down(md) {
                margin-left : 20px;
            }
        }
        
    }
    @include media-breakpoint-only(lg) {
        height   : 384px;
        overflow : hidden;
    }
    @include media-breakpoint-down(md) {
        @include horizontally-scroll-for-carousel(scroll-hourly-archive);
    }
}
